//Program to read the analog input.
// By Francis Lance april 2019.

int const analogPin = 14;    // Define the analog input pin
float analogValue = 0;  // variable to store the value coming from the sensor

// Setup routine
void setup() {
  Serial.begin(9600); // Initialize the serial port.
  pinMode(analogPin, INPUT); // Define the pin as an input.
}

void loop() {
  
  analogValue = analogRead(analogPin); // read the value on the analog pin.
  Serial.print("The value of analog read is: "); // Print this message
  analogValue = analogValue+9; // Rectified the reading with a software calibration ( Note: the number is different on every board.)
  Serial.print(analogValue); // Print the analog value (0-1023)
  Serial.print("  - The voltage is: "); // Print this message
  analogValue = (5.0/1023.0)*(analogValue);
  Serial.println(analogValue); // Print thes value of the voltage
  delay(200); // Wait to be able to read the text on the screen.
}
